# AndOp
Date: 2015-05-12

de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.operator

## Class AndOp

- java.lang.Object
- - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.operator.Operator
    - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.operator.LogOp
      - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.operator.AndOp

All Implemented Interfaces:
  IItemWithOffset

    public class AndOp
    extends LogOp

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`AndOp(int offset, int variableLength)`

### Method Summary

### Methods inherited from class de.dhbwstuttgart.syntaxtree.operator.LogOp

`getOperatorTypes, getReturnTypes`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.operator.Operator

`getChildren, getOffset, getVariableLength`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AndOp

    public AndOp(int offset,
                 int variableLength)